#ifndef _BUTTONCLASS_H_
#define _BUTTONCLASS_H_

#include <fltk/Window.h>
#include <fltk/Button.h>
#include <fltk/ReturnButton.h>
#include <fltk/RepeatButton.h>
#include <fltk/CheckButton.h>
#include <fltk/RadioButton.h>
#include <fltk/LightButton.h>
#include <fltk/HighlightButton.h>
#include <fltk/Style.h>
#include <fltk/ScreenInfo.h>
using namespace fltk;

#include <string>
using namespace std;

namespace ButtonWindow {

	class ButtonClass {
public:
	ButtonClass(int argc, char* argv[]);
	virtual ~ButtonClass();
#ifdef _NO_CLASS_CALLBACK
	static void rtb_callback(fltk::Widget * widget, void * data)
	{
		ButtonClass* object = (ButtonClass*)data;
		object->rtb_Click(widget, NULL);
	}
#endif
	void rtb_Click(Widget * widget, void * userData);
protected:
	Window *window;
	ReturnButton *rtb;
	RadioButton *rdb;
	string s;
};

}

#endif
